Create a tracking link for a creator

Create a new tracking link for the specified creator. <Info>Scope required: `write:tracking_links` `write:creator`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Request

This endpoint expects an object.
namestringRequired>=1 character
Name of the tracking link
externalSocialPlatformenumRequired
Social platform

Response

Tracking link created successfully
uuidstringformat: "uuid"
Tracking link UUID
namestring
Name of the tracking link
linkUrlstring

Tracking link URL (e.g., ‘fv-123’)

externalSocialPlatformenum
Social platform
createdAtstringformat: "date-time"
When the link was created
clicksdouble
Number of clicks on this link
engagementobject
Engagement metrics from this tracking link
earningsobject or null

Earnings from this tracking link (null for newly created links)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
410
Gone Error